Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIMediaOutput

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractMediaOutput
                      org.richfaces.component.UIMediaOutput

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.Final"})
    public class UIMediaOutput

extends AbstractMediaOutput
implements javax.faces.component.behavior.ClientBehaviorHolder

Author:
  shura

Nested Class Summary
`protected static class` | `UIMediaOutput.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIMediaOutput()`

Method Summary
`String` | `getAccesskey()`
`String` | `getAlign()`
`String` | `getArchive()`
`String` | `getBorder()`
`String` | `getCharset()`
`String` | `getClassid()`
`String` | `getCodebase()`
`String` | `getCodetype()`
`String` | `getCoords()`
`javax.el.MethodExpression` | `getCreateContent()`
`String` | `getDeclare()`
`String` | `getDefaultEventName()`
`String` | `getDir()`
`String` | `getElement()` Get Element name for rendering ( imj , a , object, applet ).
`Collection<String>` | `getEventNames()`
`Date` | `getExpires()`
`String` | `getFamily()`
`String` | `getFileName()`
`String` | `getHreflang()`
`String` | `getHspace()`
`String` | `getLang()`
`Date` | `getLastModified()`
`String` | `getMimeType()`
`String` | `getOnblur()`
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnfocus()`
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getRel()`
`String` | `getRev()`
`String` | `getShape()`
`String` | `getStandby()`
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTabindex()`
`String` | `getTarget()`
`String` | `getTitle()`
`String` | `getType()`
`String` | `getUriAttribute()` Get URI attribute for resource ( src for images, href for links etc ).
`String` | `getUsemap()`
`Object` | `getValue()`
`String` | `getVspace()`
`boolean` | `isCacheable()`
`boolean` | `isIsmap()`
`void` | `setAccesskey(String accesskey)`
`void` | `setAlign(String align)`
`void` | `setArchive(String archive)`
`void` | `setBorder(String border)`
`void` | `setCacheable(boolean cacheable)`
`void` | `setCharset(String charset)`
`void` | `setClassid(String classid)`
`void` | `setCodebase(String codebase)`
`void` | `setCodetype(String codetype)`
`void` | `setCoords(String coords)`
`void` | `setCreateContent(javax.el.MethodExpression createContent)`
`void` | `setDeclare(String declare)`
`void` | `setDir(String dir)`
`void` | `setElement(String element)`
`void` | `setExpires(Date expires)`
`void` | `setFileName(String fileName)`
`void` | `setHreflang(String hreflang)`
`void` | `setHspace(String hspace)`
`void` | `setIsmap(boolean ismap)`
`void` | `setLang(String lang)`
`void` | `setLastModified(Date lastModified)`
`void` | `setMimeType(String mimeType)`
`void` | `setOnblur(String onblur)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnfocus(String onfocus)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setRel(String rel)`
`void` | `setRev(String rev)`
`void` | `setShape(String shape)`
`void` | `setStandby(String standby)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTabindex(String tabindex)`
`void` | `setTarget(String target)`
`void` | `setTitle(String title)`
`void` | `setType(String type)`
`void` | `setUriAttribute(String uriAttribute)`
`void` | `setUsemap(String usemap)`
`void` | `setValue(Object value)`
`void` | `setVspace(String vspace)`

Methods inherited from class org.richfaces.component.AbstractMediaOutput
`getResource`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIMediaOutput

    public UIMediaOutput()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getAccesskey

    public String getAccesskey()

  Specified by:
    `getAccesskey` in class `AbstractMediaOutput`

### setAccesskey

    public void setAccesskey(String accesskey)

### getAlign

    public String getAlign()

  Specified by:
    `getAlign` in class `AbstractMediaOutput`

### setAlign

    public void setAlign(String align)

### getArchive

    public String getArchive()

  Specified by:
    `getArchive` in class `AbstractMediaOutput`

### setArchive

    public void setArchive(String archive)

### getBorder

    public String getBorder()

  Specified by:
    `getBorder` in class `AbstractMediaOutput`

### setBorder

    public void setBorder(String border)

### isCacheable

    public boolean isCacheable()

  Specified by:
    `isCacheable` in class `AbstractMediaOutput`

### setCacheable

    public void setCacheable(boolean cacheable)

### getCharset

    public String getCharset()

  Specified by:
    `getCharset` in class `AbstractMediaOutput`

### setCharset

    public void setCharset(String charset)

### getClassid

    public String getClassid()

  Specified by:
    `getClassid` in class `AbstractMediaOutput`

### setClassid

    public void setClassid(String classid)

### getCodebase

    public String getCodebase()

  Specified by:
    `getCodebase` in class `AbstractMediaOutput`

### setCodebase

    public void setCodebase(String codebase)

### getCodetype

    public String getCodetype()

  Specified by:
    `getCodetype` in class `AbstractMediaOutput`

### setCodetype

    public void setCodetype(String codetype)

### getCoords

    public String getCoords()

  Specified by:
    `getCoords` in class `AbstractMediaOutput`

### setCoords

    public void setCoords(String coords)

### getCreateContent

    public javax.el.MethodExpression getCreateContent()

  Specified by:
    `getCreateContent` in class `AbstractMediaOutput`

### setCreateContent

    public void setCreateContent(javax.el.MethodExpression createContent)

  Specified by:
    `setCreateContent` in class `AbstractMediaOutput`

### getDeclare

    public String getDeclare()

  Specified by:
    `getDeclare` in class `AbstractMediaOutput`

### setDeclare

    public void setDeclare(String declare)

### getDir

    public String getDir()

  Specified by:
    `getDir` in class `AbstractMediaOutput`

### setDir

    public void setDir(String dir)

### getElement

    public String getElement()

  Description copied from class: `AbstractMediaOutput`
  Get Element name for rendering ( imj , a , object, applet ).

  Specified by:
    `getElement` in class `AbstractMediaOutput`
  Returns:

### setElement

    public void setElement(String element)

### getExpires

    public Date getExpires()

  Specified by:
    `getExpires` in class `AbstractMediaOutput`

### setExpires

    public void setExpires(Date expires)

### getFileName

    public String getFileName()

  Specified by:
    `getFileName` in class `AbstractMediaOutput`

### setFileName

    public void setFileName(String fileName)

### getHreflang

    public String getHreflang()

  Specified by:
    `getHreflang` in class `AbstractMediaOutput`

### setHreflang

    public void setHreflang(String hreflang)

### getHspace

    public String getHspace()

  Specified by:
    `getHspace` in class `AbstractMediaOutput`

### setHspace

    public void setHspace(String hspace)

### isIsmap

    public boolean isIsmap()

  Specified by:
    `isIsmap` in class `AbstractMediaOutput`

### setIsmap

    public void setIsmap(boolean ismap)

### getLang

    public String getLang()

  Specified by:
    `getLang` in class `AbstractMediaOutput`

### setLang

    public void setLang(String lang)

### getLastModified

    public Date getLastModified()

  Specified by:
    `getLastModified` in class `AbstractMediaOutput`

### setLastModified

    public void setLastModified(Date lastModified)

### getMimeType

    public String getMimeType()

  Specified by:
    `getMimeType` in class `AbstractMediaOutput`

### setMimeType

    public void setMimeType(String mimeType)

### getOnblur

    public String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractMediaOutput`

### setOnblur

    public void setOnblur(String onblur)

### getOnclick

    public String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractMediaOutput`

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractMediaOutput`

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnfocus

    public String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractMediaOutput`

### setOnfocus

    public void setOnfocus(String onfocus)

### getOnkeydown

    public String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractMediaOutput`

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractMediaOutput`

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractMediaOutput`

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractMediaOutput`

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractMediaOutput`

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractMediaOutput`

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractMediaOutput`

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractMediaOutput`

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getRel

    public String getRel()

  Specified by:
    `getRel` in class `AbstractMediaOutput`

### setRel

    public void setRel(String rel)

### getRev

    public String getRev()

  Specified by:
    `getRev` in class `AbstractMediaOutput`

### setRev

    public void setRev(String rev)

### getShape

    public String getShape()

  Specified by:
    `getShape` in class `AbstractMediaOutput`

### setShape

    public void setShape(String shape)

### getStandby

    public String getStandby()

  Specified by:
    `getStandby` in class `AbstractMediaOutput`

### setStandby

    public void setStandby(String standby)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractMediaOutput`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractMediaOutput`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTabindex

    public String getTabindex()

  Specified by:
    `getTabindex` in class `AbstractMediaOutput`

### setTabindex

    public void setTabindex(String tabindex)

### getTarget

    public String getTarget()

  Specified by:
    `getTarget` in class `AbstractMediaOutput`

### setTarget

    public void setTarget(String target)

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in class `AbstractMediaOutput`

### setTitle

    public void setTitle(String title)

### getType

    public String getType()

  Specified by:
    `getType` in class `AbstractMediaOutput`

### setType

    public void setType(String type)

### getUriAttribute

    public String getUriAttribute()

  Description copied from class: `AbstractMediaOutput`
  Get URI attribute for resource ( src for images, href for links etc ).

  Specified by:
    `getUriAttribute` in class `AbstractMediaOutput`
  Returns:

### setUriAttribute

    public void setUriAttribute(String uriAttribute)

### getUsemap

    public String getUsemap()

  Specified by:
    `getUsemap` in class `AbstractMediaOutput`

### setUsemap

    public void setUsemap(String usemap)

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Specified by:
    `getValue` in class `AbstractMediaOutput`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIOutput`

### getVspace

    public String getVspace()

  Specified by:
    `getVspace` in class `AbstractMediaOutput`

### setVspace

    public void setVspace(String vspace)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.